# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.689   -> 1.690  
#	drivers/usb/input/hid-ff.c	1.1     -> 1.2    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/22	david-b@pacbell.net	1.690
# [PATCH] hid_ff_init could not find initializer...
# 
# Lately I get warnings whenever I plug in a device with
# a HID interface ... when force feedback support is
# configured, that's what it does.
# 
# Yeech ... that should should at most be a dbg().
# --------------------------------------------
#
diff -Nru a/drivers/usb/input/hid-ff.c b/drivers/usb/input/hid-ff.c
--- a/drivers/usb/input/hid-ff.c	Mon Jul 22 17:11:07 2002
+++ b/drivers/usb/input/hid-ff.c	Mon Jul 22 17:11:07 2002
@@ -83,7 +83,7 @@
 			       hid->dev->descriptor.idProduct);
 
 	if (!init) {
-		warn("hid_ff_init could not find initializer");
+		dbg("hid_ff_init could not find initializer");
 		return -ENOSYS;
 	}
 	return init->init(hid);
